<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gxwebsoft.bszx.mapper.BszxClassMapper">

    <!-- 关联查询sql -->
    <sql id="selectSql">
        SELECT a.*,b.name as gradeName, c.name as eraName, d.name as branchName
        FROM bszx_class a
        LEFT JOIN bszx_grade b ON a.grade_id = b.id
        LEFT JOIN bszx_era c ON a.era_id = c.id
        LEFT JOIN bszx_branch d ON a.branch = d.id
        <where>
            <if test="param.id != null">
                AND a.id = #{param.id}
            </if>
            <if test="param.eraId != null">
                AND a.era_id = #{param.eraId}
            </if>
            <if test="param.gradeId != null">
                AND a.grade_id = #{param.gradeId}
            </if>
            <if test="param.gradeName != null">
              AND b.name = #{param.gradeName}
            </if>
            <if test="param.name != null">
                AND a.name = #{param.name}
            </if>
            <if test="param.sortNumber != null">
                AND a.sort_number = #{param.sortNumber}
            </if>
            <if test="param.branch != null">
              AND a.branch = #{param.branch}
            </if>
            <if test="param.comments != null">
                AND a.comments LIKE CONCAT('%', #{param.comments}, '%')
            </if>
            <if test="param.status != null">
                AND a.status = #{param.status}
            </if>
            <if test="param.createTimeStart != null">
                AND a.create_time &gt;= #{param.createTimeStart}
            </if>
            <if test="param.createTimeEnd != null">
                AND a.create_time &lt;= #{param.createTimeEnd}
            </if>
            <if test="param.keywords != null">
                AND (a.name LIKE CONCAT('%', #{param.keywords}, '%')
                )
              </if>
        </where>
    </sql>

    <!-- 分页查询 -->
    <select id="selectPageRel" resultType="com.gxwebsoft.bszx.entity.BszxClass">
        <include refid="selectSql"></include>
    </select>

    <!-- 查询全部 -->
    <select id="selectListRel" resultType="com.gxwebsoft.bszx.entity.BszxClass">
        <include refid="selectSql"></include>
    </select>

</mapper>
